uses btp11;

var fn: string;

procedure prep_inputname;
var
  a: byte;
  b: boolean;
begin
  b := false;
  for a := 1 to ord(fn[0]) do if fn[a] = '.' then b := true;
  if not b then fn := fn + '.pis';
end;

procedure prep_outputname;
var
  a: byte absolute fn;
begin
  while fn[a] <> '.' do dec(a);
  fn := fn + 'pcs';
end;

begin
  writeln;
  writeln('*****************************');
  writeln('* PIS -> PCS Converter      *');
  writeln('* Version 2  by Zatzen 2020 *');
  writeln('*****************************');
  writeln;
  writeln('use command line parameter for batch purposes');
  writeln;
  if paramstr(1) = '' then
  begin
    write('input filename: '); readln(fn);
  end
  else
    fn := paramstr(1);
  prep_inputname;
  write('loading ', fn, ' ... ');
  btplay_loadmod(fn); writeln('OK   file size: ', btplay_pisfilesize:6, ' bytes');
  prep_outputname;
  write('writing ', fn, ' ... ');
  btplay_save_pcs(fn); writeln('OK   file size: ', btplay_pcsfilesize:6, ' bytes');
end.